ru.bitel.bgbilling.kernel.log.server.bean

## Class ConnectionLogEntryDao

- java.lang.Object
- - ru.bitel.bgbilling.kernel.log.server.bean.ConnectionLogEntryDao

- All Implemented Interfaces:
    ru.bitel.common.worker.Recyclable

      public class ConnectionLogEntryDao
      extends java.lang.Object
      implements ru.bitel.common.worker.Recyclable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionLogEntryDao(ConnectionSet connectionSet, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionLogEntry` | `get(int deviceId, java.util.Date date, int id)`
    `java.util.List<ConnectionLogEntry>` | `getByConnectionId(java.util.Date date, int connectionId)`
    `protected ConnectionLogEntry` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ConnectionLogEntry>` | `list(java.util.Date timeFrom, java.util.Date timeTo, int deviceId, int devicePort, java.lang.String acctSessId, long connectionId, java.lang.String identifier)`
    `void` | `recycle()`
    `void` | `update(ConnectionLogEntry b)`
    `void` | `update(ConnectionLogEntry b, boolean commit)`
    `protected void` | `updateImpl(ConnectionLogEntry b, boolean commit)`
    `void` | `updateResponseCoords(java.util.Date time, int deviceId, int id, int[] coords)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionLogEntryDao

          public ConnectionLogEntryDao(ConnectionSet connectionSet,
                                       int mid)

  - ### Method Detail

    - #### getFromRS

          protected ConnectionLogEntry getFromRS(java.sql.ResultSet rs)
                                          throws java.sql.SQLException,
                                                 ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(ConnectionLogEntry b)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(ConnectionLogEntry b,
                             boolean commit)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ConnectionLogEntry b,
                                    boolean commit)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### updateResponseCoords

          public void updateResponseCoords(java.util.Date time,
                                           int deviceId,
                                           int id,
                                           int[] coords)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<ConnectionLogEntry> list(java.util.Date timeFrom,
                                                         java.util.Date timeTo,
                                                         int deviceId,
                                                         int devicePort,
                                                         java.lang.String acctSessId,
                                                         long connectionId,
                                                         java.lang.String identifier)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public ConnectionLogEntry get(int deviceId,
                                        java.util.Date date,
                                        int id)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getByConnectionId

          public java.util.List<ConnectionLogEntry> getByConnectionId(java.util.Date date,
                                                                      int connectionId)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()

      Specified by:
        `recycle` in interface `ru.bitel.common.worker.Recyclable`